# Systemd service files to run container via systemd and podman

This repository contains various systemd service and configuration files
to run openSUSE container via podman controlled by systemd.

Currently supported are:
  * bind
  * dhcp-server
  * dhcp6-server
  * haproxy
  * mariadb
  * nginx
  * squid

Additional, there is the `container-image-prune.timer` to cleanup
unnamed images once a day. 

## bind

  * /etc/sysconfig/container-bind contains generic settings

## dhcp-server/dhcp6-server

  * /etc/sysconfig/container-dhcp contains generic settings for the dhcpd4 and dhcpd6 daemons. It is required to set DHCPD_INTERFACES. During the first start, example ${CONFIG_DIR}/dhcpd.conf or ${CONFIG_DIR}/dhcpd6.conf are created.

## haproxy

  * /etc/sysconfig/container-haproxy contains generic settings

## mariadb

  * /etc/sysconfig/container-mariadb contains generic settings
  * /etc/mariadb-secrets contain files for the first start to setup the mariadb database and can be changed via SECRETS_DIR in the /etc/sysconfig/container-mariadb file. They are only read if mariadb needs to initialize the data the first time. They should not be readable and deleted after the initialization was successfull, so that nobody can steal them.
    * ${SECRETS_DIR}/MYSQL_ROOT_PASSWORD (required)
    * ${SECRETS_DIR}/MYSQL_ROOT_HOST
    * ${SECRETS_DIR}/MYSQL_DATABASE
    * ${SECRETS_DIR}/MYSQL_USER
    * ${SECRETS_DIR}/MYSQL_PASSWORD

## nginx

  * /etc/sysconfig/container-nginx contains generic settings

## squid

 * /etc/sysconfig/container-squid contains generic settings

